## org.apache.mahout.cf.taste.hadoop.pseudo
Enum ReducerMetrics

    java.lang.Object
      java.lang.Enum<ReducerMetrics>
          org.apache.mahout.cf.taste.hadoop.pseudo.ReducerMetrics

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ReducerMetrics>

    public enum ReducerMetrics

extends java.lang.Enum<ReducerMetrics>

Custom metrics collected by `RecommenderReducer`.

Enum Constant Summary
`RECOMMENDATIONS_MADE` Number of items recommended to those users
`USERS_PROCESSED` Number of unique users for which recommendations were produced

Method Summary
`static ReducerMetrics` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ReducerMetrics[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USERS_PROCESSED

    public static final ReducerMetrics USERS_PROCESSED

  Number of unique users for which recommendations were produced

### RECOMMENDATIONS_MADE

    public static final ReducerMetrics RECOMMENDATIONS_MADE

  Number of items recommended to those users

Method Detail

### values

    public static ReducerMetrics[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReducerMetrics c : ReducerMetrics.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReducerMetrics valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.